> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cyrisma.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reset Password Endpoint

> First-time API use should always begin with password reset. Please reset the original temporary password so that only YOUR authorized applications have access to the API.


**NOTE:** This password is your API secret password and is only returned here **one time**. Cyrisma only stores an encrypted hash of this password for future login validation. The password itself **cannot be recovered**, so please keep a record of the secret string (or password) that corresponds to this API Key in a secure location protected from loss. This new value will now be used as a password along with the user name to generate new future session tokens as needed.



## OpenAPI

````yaml openapi.json post /partner/login/regen-pass
openapi: 3.1.0
info:
  title: Cyrisma Partner API
  description: >-
    Cyrisma partner API assists organizations that use the Cyrisma risk
    management platform to further automate and enhance overall risk management.
    The API provides provisioning and reporting features meaning that
    deployments can be automated and scan data can be retrieved for further
    aggregation and reporting. The API will enable the setup of new partners and
    instances, review of partner and instance status and utilization, and
    management of partners through their lifecycle.  Access to Cyrisma risk
    management is based on a foundation of secure API access token
    authentication and identity management.
  version: v1
servers: []
security: []
paths:
  /partner/login/regen-pass:
    post:
      tags:
        - Login
      summary: Reset Password Endpoint
      description: "First-time API use should always begin with password reset. Please reset the original temporary password so that only YOUR authorized applications have access to the API.\r\n\r\n\r\n**NOTE:** This password is your API secret password and is only returned here **one time**. Cyrisma only stores an encrypted hash of this password for future login validation. The password itself **cannot be recovered**, so please keep a record of the secret string (or password) that corresponds to this API Key in a secure location protected from loss. This new value will now be used as a password along with the user name to generate new future session tokens as needed."
      operationId: ResetPass
      requestBody:
        content:
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PartnerLoginRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorJson'
components:
  schemas:
    PartnerLoginRequest:
      title: Partner Login Form
      required:
        - Password
        - Username
      type: object
      properties:
        Username:
          title: Username
          minLength: 1
          type: string
          description: The username for partner login.
        Password:
          title: Password
          minLength: 1
          type: string
          description: The password for partner login.
      additionalProperties: false
      description: Form data for partner login.
    ErrorJson:
      title: Error Response
      type: object
      properties:
        error:
          title: Error Code
          type:
            - string
            - 'null'
          description: The error code representing the type of error.
        error_description:
          title: Error Description
          type:
            - string
            - 'null'
          description: A detailed description of the error.
      additionalProperties: false
      description: Represents an error response with error code and description.

````